petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscFunctionListAdd

Given a routine and a string id, saves that routine in the specified registry.

### Synopsis

    #include <petscsys.h>
    PetscErrorCode PetscFunctionListAdd(PetscFunctionList *flist,const char name[],void (*fptr)(void))

Not Collective

### Input Parameters

| flist | - pointer to function list object
| name | - string to identify routine
| fptr | - function pointer

### Notes

To remove a registered routine, pass in a NULL fptr.

Users who wish to register new classes for use by a particular PETSc component (e.g., SNES) should generally call the registration routine for that particular component (e.g., SNESRegister()) instead of calling PetscFunctionListAdd() directly.

### See Also

PetscFunctionListDestroy(), SNESRegister(), KSPRegister(),
PCRegister(), TSRegister(), PetscFunctionList, PetscObjectComposeFunction()

### Level

developer

### Location

src/sys/dll/reg.c

### Examples

src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex11.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages